{ config, pkgs, lib, ... }: {
  sops.secrets.ddclient = {};
  services.ddclient = {
    enable = true;
    usev4 = "webv4, web=dynamicdns.park-your-domain.com/getip";
    protocol = "namecheap";
    server = "dynamicdns.park-your-domain.com";
    username = "crompton.cc";
    passwordFile = config.sops.secrets.ddclient.path;
    domains = [
      "@"
    ];
  };
  sops.secrets.oinkapi = {};
  sops.secrets.oinkSapi = {};
  services.oink = {
    enable = true;
    apiKeyFile = config.sops.secrets.oinkapi.path;
    secretApiKeyFile = config.sops.secrets.oinkSapi.path;
    domains = [
      {
        domain = "glia.club";
        subdomain = "";
        ttl = 1200;
      }
    ];
  };
}
